Lists all active agents for the specified account. locationId is required parameter to ensure optimal performance. Supports pagination using limit and offset. Optionally filter by isPublished=true to
Lists all active agents for the specified account. locationId is required parameter to ensure optimal performance. Supports pagination using limit and offset. Optionally filter by isPublished=true to return only agents with a published production version.
http
GET https://services.leadconnectorhq.com/agent-studio/agent
Authorization
Name
Type
Required
Example
Description
Authorization
string
Yes
Bearer token generated from the Leadway portal. See Authentication.
Version
string
Yes
2021-07-28
API version.
Query parameters
Name
Type
Required
Example
Description
locationId
string
Yes
C2QujeCh8ZnC7al2InWR
isPublished
string
No
true
Optional filter to return only agents with a published production version
limit
string
Yes
20
offset
string
Yes
0
source
string
No
api
Responses
200 - Agents retrieved successfully
success (boolean, required): Success status Example: True